//
//  StatusSwipeAction.swift
//  Tusker
//
//  Created by Shadowfacts on 11/26/22.
//  Copyright © 2022 Shadowfacts. All rights reserved.
//

import UIKit
import Pachyderm

public enum StatusSwipeAction: String, Codable, Hashable, CaseIterable {
    case reply
    case favorite
    case reblog
    case share
    case bookmark
    case openInSafari
    
    public var displayName: String {
        switch self {
        case .reply:
            return "Reply"
        case .favorite:
            return "Favorite"
        case .reblog:
            return "Reblog"
        case .share:
            return "Share"
        case .bookmark:
            return "Bookmark"
        case .openInSafari:
            return "Open in Safari"
        }
    }
    
    public var systemImageName: String {
        switch self {
        case .reply:
            return "arrowshape.turn.up.left.fill"
        case .favorite:
            return "star.fill"
        case .reblog:
            return "repeat"
        case .share:
            return "square.and.arrow.up"
        case .bookmark:
            return "bookmark.fill"
        case .openInSafari:
            return "safari"
        }
    }
}
